# UUID\_v7

{% hint style="info" %}
`UUID_v7` is available from MariaDB [11.7](/docs/release-notes/community-server/old-releases/11.7/what-is-mariadb-117.md).
{% endhint %}

It is possible to generate UUIDv4 and UUIDv7, in addition to UUIDv1.

## Syntax

```sql
UUID_v7()
```

## Description

Returns a Universally Unique Identifier (UUID) version 7. To generate a version 1 UUID, see the [UUID](/docs/server/reference/sql-functions/secondary-functions/miscellaneous-functions/uuid.md) function. To generate a version 4 UUID, see [UUID\_v4](/docs/server/reference/sql-functions/secondary-functions/miscellaneous-functions/uuid_v4.md).

A UUID is designed as a number that is globally unique in space and time. Two calls to `UUID()` are expected to generate two different values, even if these calls are performed on two separate computers that are not connected to each other.

A UUID is a 128-bit number represented by a utf8 string of five hexadecimal numbers in `aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee` format.

Statements using the UUID\_v7() function are [not safe for statement-based replication](/docs/server/ha-and-performance/standard-replication/unsafe-statements-for-statement-based-replication.md).

## Examples

```sql
SELECT UUID(),UUID_v4(),UUID_v7()\G 
*************************** 1. row ***************************
  UUID(): 63ae8c92-799a-11ef-98b2-f859713e4be4
UUID_v4(): a2443495-1b94-415b-b6fa-fe8e79ba4812
UUID_v7(): 01921e85-f198-7490-9b89-7dd0d468543b
```

## See Also

* [UUID()](/docs/server/reference/sql-functions/secondary-functions/miscellaneous-functions/uuid.md) v1
* [UUID\_v4()](/docs/server/reference/sql-functions/secondary-functions/miscellaneous-functions/uuid_v4.md)
* [UUID\_SHORT()](/docs/server/reference/sql-functions/secondary-functions/miscellaneous-functions/uuid_short.md) - Return short (64 bit) Universal Unique Identifier
* [SYS\_GUID](/docs/server/reference/sql-functions/secondary-functions/miscellaneous-functions/sys_guid.md) - UUID without the `-` character for Oracle compatibility
* [UUID data type](/docs/server/reference/data-types/string-data-types/uuid-data-type.md)
* [MDEV-11339](https://jira.mariadb.org/browse/MDEV-11339) (Support UUID v4 generation)
* [MDEV-32637](https://jira.mariadb.org/browse/MDEV-32637) (Implement native UUID7 function)
* [uuid7.com](https://uuid7.com/)

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/sql-functions/secondary-functions/miscellaneous-functions/uuid_v7.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
